1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Error upgrading 10.0.0 to 10.0.1

Discussion in 'Plesk 10.x for Linux Issues, Fixes, How-To' started by borrass, Nov 9, 2010.

  1. borrass

    borrass New Pleskian

    20
     
    Joined:
    Jul 24, 2009
    Messages:
    13
    Likes Received:
    0
    Hi, I want upgrade to 10.0.1 but I have this error:

    The following packages have unmet dependencies:
    plesk-mail-qc-driver: Conflicts: psa-mail-driver
    psa-mail-qc-driver: Depends: libmysqlclient14 but it is not installable
    Conflicts: psa-mail-driver



    Help please.
     
  2. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,572
    Likes Received:
    1,243
    Location:
    Novosibirsk, Russia
    Try to remove it before upgrade with

     
  3. borrass

    borrass New Pleskian

    20
     
    Joined:
    Jul 24, 2009
    Messages:
    13
    Likes Received:
    0
    # rpm -e --nodeps psa-mail-driver-common
    error: package psa-mail-driver-common is not installed
     
    Last edited: Nov 9, 2010
  4. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,572
    Likes Received:
    1,243
    Location:
    Novosibirsk, Russia
    Seems you have broken previous 10.0.0 installation. Try to find this package and install it. For example on my test server this package is located here:

    /root/PSA_10.0.0/dist-rpm-CentOS-5-x86_64/opt/maildrivers/psa-mail-driver-common-10.8.0-cos5.build108101004.13.x86_64.rpm
     
  5. borrass

    borrass New Pleskian

    20
     
    Joined:
    Jul 24, 2009
    Messages:
    13
    Likes Received:
    0
    Im using Debian 5 and in my root dir have this:

    /root/psa/PSA_10.0.0/plesk-10.0.0-deb4.0-i386.inf3
    /root/psa/PSA_10.0.0/plesk-10.0.0-deb5.0-i386.inf3
    /root/psa/PSA_10.0.0/plesk_getkeyinfo.sh

    Please patience with me becouse I am a noob
     
  6. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,572
    Likes Received:
    1,243
    Location:
    Novosibirsk, Russia
    Use dpkg instead rpm if you have Debian for removing this package.
     
  7. borrass

    borrass New Pleskian

    20
     
    Joined:
    Jul 24, 2009
    Messages:
    13
    Likes Received:
    0
    Please IgorG, write the full comand with dpkg

    I try:


    Code:
    dpkg -r psa-mail-driver-common
    And respond this:

    Code:
    dpkg: dependency problems prevent removal of psa-mail-driver-common:
     plesk-mail-qc-driver depends on psa-mail-driver-common (>= 10.8.0).
    dpkg: error processing psa-mail-driver-common (--remove):
     dependency problems - not removing
    Errors were encountered while processing:
     psa-mail-driver-common
     
    Last edited: Nov 9, 2010
  8. borrass

    borrass New Pleskian

    20
     
    Joined:
    Jul 24, 2009
    Messages:
    13
    Likes Received:
    0
    Update complete!!!

    I try to reboot the server and install fron autoinstall package downloaded from plesk and work.
     
    Last edited: Nov 9, 2010
Loading...